#!/bin/bash
# Install swivel 3.10.6.patch for SMTP

if ! test -z $DEBUG && test $DEBUG=1; then set -vx; fi # DEBUG CHECK

source /backups/patch/settings.sh

cleanup() {
 cd $PATCHBASE
 rm -rf .* 2>/dev/null
 rm -rf * 2>/dev/null
 echo; echo "Clean up done..."
}

sleep_disp() {
 count=1
 while test $count -lt $1; do
  ((count = count + 1))
  echo -n "."
  sleep 1
 done
 echo "."
}

yorn() {
 echo
 echo -n "Are you sure? (Yes/No): "
 read yn
 check_ans $1 $yn
}

check_ans() {
 if test ! $2; then
  $1; fi
 if test ! $2 = "Yes" && test ! $2 = "yes" && test ! $2 = "y" && test ! $2 = "Y" ; then
  $1; fi
}

warning() {
 heading "Upgrading Swivel Software"
 echo "Continuing will apply patch ${inv}$PATCH_VER${nor}."
 echo
 echo "Swivel authentication will be disabled for a short time during installation."
 yorn exit
}

heading() {
 clear
 echo "${inv} Swivel Maintenance (c) $COPYRIGHT_YEAR${nor}                                             ${inv}$PINSAFE_TYPE${nor}"
 echo
 echo $1
 echo
}

stop_tomcat() {
 service tomcat5 stop
}

start_tomcat() {
 service tomcat5 start
}

finished() {
 heading "Patch has been applied successfully"
 echo "Press any key to continue"
 read yn
}

apply_patch() {
 tar xzf $PATCHBASE/$PATCHNAME.tar.gz -C $PATCHBASE
 chown -R swivel. $PATCHBASE/$PATCHNAME
 cp -rf $PATCHBASE/$PATCHNAME/* $PINSAFEDIR
}

warning
stop_tomcat
apply_patch
start_tomcat
cleanup
finished